package storage

import "context"

//go:generate mockgen -source=$GOFILE -destination=mocks/$GOFILE -package=mocks

type User struct {
	ChatID string `sql:"chat_id"`
	UserID string `sql:"user_id"`
}

type IStorage interface {
	UpsertUser(ctx context.Context, user *User) error
	GetAllUsersByChatID(ctx context.Context, chatID string) ([]*User, error)
	Close()
}
